Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Interface PortletWindow

public interface PortletWindow

The `PortletWindow` represents the window that encloses a portlet. The portlet window can send events on manipulation of its various window controls, like the "minimize" or "close" buttons. But a portlet also interrogate the portlet window about its current visibility state. For example, a portlet may render its content differently depending on whether its window is maximized or not.

Author:
  Thomas F. Boehme

Nested Class Summary
`static class` | `PortletWindow.State` The `State` class is a finite enumeration of the possible states that a window can assume.

Method Summary
`java.lang.String` | `getTitle()` Returns the title of this window.
`boolean` | `isDetached()` Returns whether this portlet window is currently detached.
`boolean` | `isMaximized()` Returns whether this portlet window is currently maximized.
`boolean` | `isMinimized()` Returns whether this portlet window is currently minimized.

Method Detail

### getTitle

    public java.lang.String getTitle()

  Returns the title of this window. This method returns either a dynamic title or a static title from the portlet configuration.

  Returns:
    the portlet title

### isDetached

    public boolean isDetached()

  Returns whether this portlet window is currently detached.

  Returns:
    `true` if this window is detached,
    `false` otherwise

### isMaximized

    public boolean isMaximized()

  Returns whether this portlet window is currently maximized.

  Returns:
    `true` if this window is maximized,
    `false` otherwise

### isMinimized

    public boolean isMinimized()

  Returns whether this portlet window is currently minimized.

  Returns:
    `true` if this window is minimized,
    `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.